import * as express from "express";
import TodoController from "../controller/todo-controller";

export default class TodoRoutes {

    static buildRouter(): express.Router {
	    var router = express.Router();

      router
        .route("/todos")
        .get(TodoController.getAll)
        .post(TodoController.createTodo);

      router
        .route("/todos/:id")
        .delete(TodoController.deleteTodo);

	    return router;
    }
}